On This Page

{#jumplink-list}  
[Markdown](/docs/cybs/en-us/invoicing/developer/all/rest/invoicing/invoicing-services-intro/invoicing-services-get-details-intro.md)  
Filter  
FILTER BY TAG

Get Invoice Details {#invoicing-services-get-details-intro}
===========================================================

Retrieve an invoice's details to check its current status and payment history. Retrieving an invoice's details requires the unique invoice number assigned when the invoice was created.  
If you need more information about the payment history, you can also use the transaction details API. For more information, see the [Transaction Details API](https://developer.cybersource.com/docs/cybs/en-us/txn-search/developer/all/rest/txn-search/txn-details-intro.md "") section in the *Transaction Search and Details API Developer Guide*.

Endpoints
---------

Send your API request to one of these endpoints:  
**Test:** `GET https://``https://apitest.cybersource.com``/invoicing/v2/invoices/`*{id}*  
**Production:** `GET https://``https://api.cybersource.com``/invoicing/v2/invoices/`*{id}*  
**India Production:** `GET https://api.in.cybersource.com/invoicing/v2/invoices/`*{id}*  
The *`{id}`* is the invoice number from the invoice creation response message.

Successful Response
-------------------

A response contains this invoice information:

|           Response Field           |                                                                                                                                                                                                                                                                                                                                                                                Description                                                                                                                                                                                                                                                                                                                                                                                |
|------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| submitTimeUtc                      | The date and time that the invoice was sent, in UTC format.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| status                             | The invoice status. Possible values: * `CANCELED`: The invoice is cancelled. * `CREATED`: The invoice is created. * `DRAFT`: The invoice is drafted and not published. * `PAID`: The invoice is fully paid. The customer is notified that the payment is successful. * `PARTIAL`: The invoice is partially paid. * `PENDING`: Fraud management is reviewing the invoice and you must accept or reject the payment. The customer is also notified that the payment is processing. When you accept the payment, the invoice updates to the `PAID` status. If you reject the payment, the invoice updates to the `SENT` status. > IMPORTANT This status is only retrievable for merchants with fraud management enabled. * `SENT`: The invoice is delivered to the customer. |
| customerInformation (field object) | The customer's information, such as name and email.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| invoiceInformation (field object)  | The `paymentLink` field contains the direct URL to the invoice.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| orderInformation (field object)    | The itemized amount charged for the billed goods and services.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| invoiceHistory (field object)      | An array of invoice status changes and the date and time stamp of each invoice status changed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
[Response Fields to a Successful Request]

Example: Get Invoice Details {#invoicing-services-get-details-ex-rest}
======================================================================

Endpoint with an Invoice Number

```keyword
GET https://https://api.cybersource.com/invoicing/v2/invoices/2670
```

Request

```
{}
```

Response to a Successful Request

```keyword
{
  "_links": {
    "self": {
      "href": "/v2/invoices/2670",
      "method": "GET"
    },
    "update": {
      "href": "/v2/invoices/2670",
      "method": "PUT"
    },
    "deliver": {
      "href": "/v2/invoices/2670/delivery",
      "method": "POST"
    },
    "cancel": {
      "href": "/v2/invoices/2670/cancelation",
      "method": "POST"
    }
  },
  "id": "2670",
  "submitTimeUtc": "2024-07-24T18:36:18.863175539Z",
  "status": "SENT",
  "customerInformation": {
    "name": "Tanya Lee",
    "email": "tanya.lee@my-email.world"
  },
  "processingInformation": {
    "requestPhone": false,
    "requestShipping": false
  },
  "invoiceInformation": {
    "invoiceNumber": "2670",
    "dueDate": "2019-07-11",
    "allowPartialPayments": false,
    "paymentLink": "https://businesscenter.cybersource.com/ebc2/invoicing/payInvoice/W447tdnINi5t5wu6QA0KUE2HYWY2rQQ0zXL5b5z6M50w4Ea9FFlcYrEmp09pFlzl?version=v2.1",
    "deliveryMode": "Email"
  },
  "orderInformation": {
    "amountDetails": {
      "totalAmount": 247.86,
      "currency": "USD",
      "balanceAmount": 247.86
    },
    "lineItems": [
      {
        "productSku": "P653727383",
        "productName": "First line item's name",
        "unitPrice": 12.05,
        "quantity": 20,
        "totalAmount": 247.86
      }
    ]
  },
  "invoiceHistory": [
    {
      "event": "SEND",
      "date": "2024-07-24T18:35:23.320Z"
    },
    {
      "event": "DRAFT",
      "date": "2024-07-24T18:35:22.960Z"
    }
  ]
}
```

REST Interactive Example: Get Invoice Details {#invoicing-services-get-details-ex-live}
=======================================================================================

Click this image to access the interactive code example for retrieving invoice details.

#### Figure:

Interactive Code [![Image and link to the interactive code example for creating a new
invoice.](/content/dam/documentation/cybs/en-us/topics/payments-processing/payment-services/invoicing/images/invoicing-services-create.png/jcr:content/renditions/original)](https://developer.cybersource.com/api-reference-assets/index.md#invoicing_invoices_get-invoice-details "")  
RELATED TO THIS PAGE

* [Getting Started with REST](https://developer.cybersource.com/docs/cybs/en-us/platform/developer/all/rest/rest-getting-started/restgs-intro.md)
* [Response Codes](https://developer.cybersource.com/api/reference/response-codes.md)
* [API Field Reference Guide](https://developer.cybersource.com/docs/cybs/en-us/api-fields/reference/all/rest/api-fields/rest-api-fields-intro.md)
* [API Reference Sandbox](https://developer.cybersource.com/api-reference-assets/index.md#static-home-section)
* [Business Center Test](https://businesscentertest.cybersource.com/ebc2/)
* [Business Center Production](https://businesscenter.cybersource.com/ebc2/)
* [Customer Support](https://support.visaacceptance.com/)

